Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector.util
Class DocComponent

    java.lang.Object
      |
      +--java.beans.FeatureDescriptor
            |
            +--com.togethersoft.openapi.ide.inspector.IdeInspectorComponent
                  |
                  +--com.togethersoft.openapi.ide.inspector.util.DocComponent

public class DocComponent
extends IdeInspectorComponent
implements UIComponentService

This class represents inspector component suited to show javadoc for selected RwiElement. This component appears as a "Doc" tab in the inspector.

Author:
  TogetherSoft

Field Summary
`final static String` | `NAME` This property presents tab title for this inspector component.

Constructor Summary
`DocComponent(RwiElement element)` Constructs DocComponent for certain RwiElement.

Method Summary
`Component` | `getUIComponent()` Returns Swing component which represents this inspector component.
`void` | `update()` Updates view of this component.

Methods inherited from class com.togethersoft.openapi.ide.inspector.IdeInspectorComponent
`getService, setService`

Methods inherited from class java.beans.FeatureDescriptor
`getName, setName, getDisplayName, setDisplayName, isExpert, setExpert, isHidden, setHidden, isPreferred, setPreferred, getShortDescription, setShortDescription, setValue, getValue, attributeNames`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize`

Field Detail

### NAME

    public final static String NAME

  This property presents tab title for this inspector component.

Constructor Detail

### DocComponent

    public DocComponent(RwiElement element)

  Constructs DocComponent for certain RwiElement.
  Parameters:
    element - Selected RwiElement

Method Detail

### getUIComponent

    public Component getUIComponent()

  Returns Swing component which represents this inspector component.
  Returns: Swing component which represents this inspector component

### update

    public void update()

  Updates view of this component. Called whenever docs are changed in the "Javadoc" tab.

Association Links

to Class java.lang.String

  This property presents tab title for this inspector component.

to Class com.togethersoft.openapi.rwi.RwiElement

to Class java.lang.String

to Class javax.swing.JScrollPane

to Class javax.swing.JEditorPane

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD